Bug 1430022 - [RFE] Show Ansible as a Service in Capsule Overview page
Summary: [RFE] Show Ansible as a Service in Capsule Overview page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Ansible
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: 6.4.0
Assignee: satellite6-bugs
QA Contact: Lukas Pramuk
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-07 16:48 UTC by sthirugn@redhat.com
Modified: 2019-11-05 23:03 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 15:27:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2927 None None None 2018-10-16 15:28:17 UTC

Description sthirugn@redhat.com 2017-03-07 16:48:01 UTC
Description of problem:
Show Ansible as a Service in Capsule Overview page 

Version-Release number of selected component (if applicable):
Satellite 6.3.0

How reproducible:
Always

Steps to Reproduce:
1. Setup Ansible in Satellite.
2. Go to Infrastructure -> Capsule -> Click on the default capsule -> Overview page.

Actual results:
Active features - 
Pulp, TFTP, DNS, DHCP, Puppet, Puppet CA, Logs, Dynflow, SSH, Discovery, and Openscap

Expected results:
In the above result, Ansible also should be shown

Additional info:

Comment 4 Sebastian Gräßl 2017-10-12 07:33:54 UTC
This should already be the case, if the Ansible plugin is installed and enabled.
The required package that should be installed is "rubygem-smart_proxy_ansible".

Could you verify this?

Comment 5 sthirugn@redhat.com 2017-10-12 17:35:02 UTC
@Sebastian: Satellite 6.3 builds don't carry this package. Do you know why?

Comment 6 Brad Buckingham 2018-03-15 12:45:56 UTC
Confirmed with Marek and this is already addressed in 6.4.

Comment 7 Martin Korbel 2018-06-22 10:17:27 UTC
VERIFIED on Sat6.4#8

Reproducer in comment #0

    Ansible
    Discovery
    Dynflow
    Logs
    Openscap
    Pulp
    Puppet
    Puppet CA
    SSH
    TFTP

Comment 10 errata-xmlrpc 2018-10-16 15:27:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.